#ifndef __peer_h
#define __peer_h

#include "filed.h"
#include "parse.h"
#include <stdarg.h>

void handle_peers(void);
void determine_best_peer(void);
void reconnect_peers(void);
void peer_send_heartbeat(struct connection *c);
void peer_disconnect(struct connection *c);
void peer_become(struct connection *c, struct parse *p);
void peer_process_ok(struct connection *c, struct parse *p);
void peer_process_err(struct connection *c, struct parse *p);
void peer_process_peer(struct connection *c, struct parse *p);
void peer_process_hb(struct connection *c, struct parse *p);
void peer_process_tx(struct connection *c, struct parse *p);
struct connection *peer_get_by_name(char *name);
struct connection *peer_get_by_id(int id);
char *peer_get_pflags_string(int flags);
void peer_connection_dump(struct connection *c, struct parse *p);
int peer_proxy_to(int peer_id, char *fmt, ...);

#define PFLAG_DOWN 1
#define PFLAG_ADMINDOWN 2

#endif
